Name:		scribus
Version:	1.5.2
Release:	%mkrel 5
Summary:	Open Source Page Layout
License:	GPLv2+
Group:		Publishing
URL:		http://www.scribus.net/
Source0:	http://downloads.sourceforge.net/scribus/%{name}-%{version}.tar.xz
Patch0:		scribus-1.5.1-mga-hunspell-1.4.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pkgconfig(libcdr-0.1)
BuildRequires:	pkgconfig(libfreehand-0.1)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libmspub-0.1)
BuildRequires:	pkgconfig(libpagemaker-0.0)
BuildRequires:	pkgconfig(librevenge-0.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libvisio-0.1)
BuildRequires:	pkgconfig(GraphicsMagick)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	boost-devel
BuildRequires:	cups-devel
BuildRequires:	podofo-devel

Requires:	tkinter
Requires:	ghostscript

Obsoletes:	scribus-i18n-en
Obsoletes:	scribus-i18n-de
Obsoletes:	scribus-i18n-fr
Obsoletes:	%mklibname %{name} 0

%description
Scribus is a desktop open source page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%files
%doc %{_datadir}/doc/%{name}*
%{_bindir}/*
%{_libdir}/scribus/
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/scribus/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(de) %{_mandir}/de/man1/*

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5 -DWANT_HUNSPELL=ON -DWANT_GRAPHICSMAGICK=ON

%make_build

%install
%make_install -C build

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %{buildroot}%{_datadir}/applications/ \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='X-Mageia-CrossDesktop'\
	%{name}.desktop

# install icons for hicolor and old WM
for size in 16x16 32x32 48x48 64x64 96x96 128x128 256x256 512x512; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/$size/apps
  convert -resize $size resources/iconsets/artwork/icon_512x512.png %{buildroot}%{_iconsdir}/hicolor/$size/apps/%{name}.png
done

# we do not need kde stuffs for 2009
rm -f %{buildroot}%{_datadir}/mimelnk/application/vnd.scribus.desktop


%changelog
* Fri Mar 03 2017 daviddavid <daviddavid> 1.5.2-5.mga6
+ Revision: 1088668
- enable Corel Draw, Freehand and Pagemaker support
- enable MS-Visio and MS Publisher support

* Mon Jan 02 2017 luigiwalser <luigiwalser> 1.5.2-4.mga6
+ Revision: 1079511
- rebuild for poppler

* Tue Nov 29 2016 luigiwalser <luigiwalser> 1.5.2-3.mga6
+ Revision: 1070883
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.5.2-2.mga6
+ Revision: 1046200
- test rebuild for poppler

* Thu Jul 07 2016 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 1039206
- new version: 1.5.2

* Thu May 26 2016 luigiwalser <luigiwalser> 1.5.1-4.mga6
+ Revision: 1018625
- rebuild for poppler

* Tue May 10 2016 daviddavid <daviddavid> 1.5.1-3.mga6
+ Revision: 1011955
- rebuild for poppler 0.43.0

* Tue Apr 26 2016 daviddavid <daviddavid> 1.5.1-2.mga6
+ Revision: 1006414
- add patch to fix libhunspell-1.4 detection
- enable GraphicsMagick and poppler support

* Tue Apr 26 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1006380
- new version: 1.5.1
- fix Summary (name repeated)
- update BRs list, use more pkgconfig()
- add more icons

* Thu Apr 21 2016 tv <tv> 1.5.0-3.mga6
+ Revision: 1004203
- rebuid for libhunspell 1.4

* Wed Feb 17 2016 umeabot <umeabot> 1.5.0-2.mga6
+ Revision: 962769
- Mageia 6 Mass Rebuild

* Sat Aug 29 2015 joequant <joequant> 1.5.0-1.mga6
+ Revision: 871031
- upgrade to 1.5.0

* Wed Aug 26 2015 cjw <cjw> 1.4.4-7.mga6
+ Revision: 870014
- rebuild with gcc 5

* Thu May 14 2015 akien <akien> 1.4.4-6.mga5
+ Revision: 822087
- Stop obsoleting scribus-unstable, so that mga4 users can keep it

* Thu Nov 06 2014 tv <tv> 1.4.4-5.mga5
+ Revision: 795920
- obsolete scribus-unstable (year old snapshot which do not compile)

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-4.mga5
+ Revision: 746398
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-3.mga5
+ Revision: 689082
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 luigiwalser <luigiwalser> 1.4.4-2.mga5
+ Revision: 673082
- rebuild for podofo

  + fwang <fwang>
    - replace with mageia

* Thu May 29 2014 fwang <fwang> 1.4.4-1.mga5
+ Revision: 627440
- 1.4.4

* Sat Oct 19 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 530721
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 fwang <fwang> 1.4.3-1.mga4
+ Revision: 459334
- update tarballdir
- new version 1.4.3

* Thu Jan 17 2013 pterjan <pterjan> 1.4.2-1.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Tue Jan 15 2013 fwang <fwang> 1.4.2-1.mga3
+ Revision: 388289
- br podofo
- new version 1.4.2 with hunspell based

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 381916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 ennael <ennael> 1.4.1-2.mga3
+ Revision: 301411
- fix group
- add ghostscript as require (#2795)

* Wed Jun 06 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 256154
- update tarball dir
- new version 1.4.1

* Mon Jan 02 2012 fwang <fwang> 1.4.0-2.mga2
+ Revision: 189545
- build with lcms2

* Mon Jan 02 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 189539
- new version 1.4.0 final

* Fri Dec 23 2011 fwang <fwang> 1.4.0-0.rc6.2.mga2
+ Revision: 186550
- rebuild for new libtiff

* Sat Dec 10 2011 fwang <fwang> 1.4.0-0.rc6.1.mga2
+ Revision: 180223
- new version 1.4.0 rc6

* Sun Jul 10 2011 fwang <fwang> 1.4.0-0.rc5.1.mga2
+ Revision: 121649
- new version 1.4.0 rc5

* Sun Apr 03 2011 boklm <boklm> 1.4.0-0.rc3.1.mga1
+ Revision: 79970
- version 1.4.0.rc3

* Fri Feb 25 2011 ahmad <ahmad> 1.4.0-0.rc1.1.mga1
+ Revision: 59903
- update to 1.4.0.rc1 (1.4.0 official release will be out soon)
- bump qt4-devel BR
- drop old/unneeded scriptlets

* Fri Feb 25 2011 ennael <ennael> 1.3.9-1.mga1
+ Revision: 59557
- clean spec file
- imported package scribus


* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 1.3.9-1mdv2011.0
+ Revision: 620621
- new version 1.3.9

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.3.8-3mdv2011.0
+ Revision: 591333
- rebuild for py 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Fri Aug 20 2010 Funda Wang <fwang@mandriva.org> 1.3.8-1mdv2011.0
+ Revision: 571455
- new version 1.3.8

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1.3.7-1mdv2011.0
+ Revision: 551051
- New version 1.3.7

* Sat Mar 20 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.6-1mdv2010.1
+ Revision: 525384
- update to 1.3.6
- adapt to new icons location in src tarball

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.5.1-2mdv2010.1
+ Revision: 488803
- rebuilt against libjpeg v8

* Sun Aug 16 2009 Funda Wang <fwang@mandriva.org> 1.3.5.1-1mdv2010.0
+ Revision: 416831
- new version 1.3.5.1

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-0.svn13658.2mdv2010.0
+ Revision: 416532
- rebuilt against libjpeg v7

* Mon Jun 08 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13658.1mdv2010.0
+ Revision: 383812
- 1.3.5 rc2

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13385.1mdv2009.1
+ Revision: 366571
- new snapshot r13385

* Sat Apr 04 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13368.1mdv2009.1
+ Revision: 363984
- New snapshot

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.5-0.svn13262.1mdv2009.1
+ Revision: 352918
- New svn snapshot (fixes build with QT 4.5)
- Don't add Development to the name in the applications menu,
  it's of no use for normal users

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13129.1mdv2009.1
+ Revision: 335645
- New snapshot

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13118.1mdv2009.1
+ Revision: 335170
- New snapshot

* Tue Jan 20 2009 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn13066.2mdv2009.1
+ Revision: 331927
- disable format checking for now
- rediff str patch
- new snapshot

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12984.1mdv2009.1
+ Revision: 319931
- fix str fmt
- newsnapshot

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Dec 05 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12927.1mdv2009.1
+ Revision: 310708
- New snapshot

* Wed Nov 19 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12879.1mdv2009.1
+ Revision: 304387
- new snapshot

* Mon Nov 03 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12805.1mdv2009.1
+ Revision: 299341
- New snapshot 12805

* Sat Oct 25 2008 Funda Wang <fwang@mandriva.org> 1.3.5-0.svn12760.1mdv2009.1
+ Revision: 297228
- fix icon name
- New snapshot (qt4 version)

* Sat Sep 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.3.12-5mdv2009.0
+ Revision: 288886
- Remove (stable) from the GenericName and add Dutch translation

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-4mdv2009.0
+ Revision: 286294
- use cmake to build
- prefer cairo over artgpl

* Thu Aug 28 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-3mdv2009.0
+ Revision: 276809
- confort upstream desktop file
- add office category to fix bug#43252

* Fri Aug 15 2008 Funda Wang <fwang@mandriva.org> 1.3.3.12-2mdv2009.0
+ Revision: 272292
- no mimelnk file
- add scribus.desktop
- New version 1.3.3.12

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-3mdv2009.0
+ Revision: 200860
- libsuffix should only work for x86_64 systems

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-2mdv2009.0
+ Revision: 200855
- use libsuffix (bug#39612)
- use qt3 macro

* Sun Jan 13 2008 Funda Wang <fwang@mandriva.org> 1.3.3.11-1mdv2008.1
+ Revision: 150436
- New version 1.3.3.11

* Wed Jan 09 2008 Funda Wang <fwang@mandriva.org> 1.3.3.10-1mdv2008.1
+ Revision: 147041
- make it backportable
- New version 1.3.3.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Funda Wang <fwang@mandriva.org> 1.3.3.10-0.10439.2mdv2008.0
+ Revision: 89554
- Add cross-desktop category (bug#333739)
- use doc icon rather than app icon

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 1.3.3.10-0.10439.1mdv2008.0
+ Revision: 71352
- really want lib64
- svn snapshot at 10439
- replace patch0 by upstream decision :(
- scribus does not own application/x-scribus mimetype
- Fix desktop icon
- Obsoletes old lan package

* Tue Jul 24 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-7mdv2008.0
+ Revision: 54884
- Put scribus into publishing rather than wordprocessor

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add Uppercase patterns
    - End mimetypes with a semi-colon

* Mon Jul 23 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-6mdv2008.0
+ Revision: 54520
- Add vnd.scribus.desktop for KDE's mimelnk
- Add desktop file patch to fix bug#31591

* Sat Jul 21 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-5mdv2008.0
+ Revision: 54136
- Add libpath patch
- use cmake
- Remove old translations
- More requires for the plugins

* Tue Jul 03 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-4mdv2008.0
+ Revision: 47348
- Bump release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix layout

* Mon Jul 02 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-3mdv2008.0
+ Revision: 46926
- Build python scripts

* Mon Jul 02 2007 Funda Wang <fwang@mandriva.org> 1.3.3.9-2mdv2008.0
+ Revision: 46919
- obsoletes libname
- fix bug#24032

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.3.9-1mdv2008.0
+ Revision: 27303
- Updated to 1.3.3.9.


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.8-1mdv2007.0
+ Revision: 130608
- 1.3.3.8

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.7-1mdv2007.1
+ Revision: 106938
- 1.3.3.7

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.6-1mdv2007.1
+ Revision: 90468
- 1.3.3.6

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.5-1mdv2007.0
+ Revision: 83292
- 1.3.3.5

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.4-1mdv2007.1
+ Revision: 63820
- 1.3.3.4

  + Olivier Blin <oblin@mandriva.com>
    - Import scribus

* Wed Aug 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.3-1
- 1.3.3.3

* Thu Jun 01 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.2-1
- 1.3.3.2

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3.1-1mdk
- New release 1.3.3.1
- Change URL
- Make rpmbuildupdate

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-2
- Fix build on x86_64

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-1
- 1.3.3

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.2-1
- 1.3.2

* Tue Dec 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-4
- Add tiff-devel as buildrequires fix : bug #15939

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-3mdk
- fix build on x86_64

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-2mdk
- rebuild against openssl-0.9.8

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1
- 1.3.1

* Sat Jul 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.0-1
- 1.3.0

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-2mdk
- no bz2 ending for man pages
- drop patches that wasn't applied
- sane %%setup
- fix path to qt3 libs (lib64)

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-1mdk
- 1.2.2.1
- %%mkrel

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 1.2.2-1mdk
- 1.2.2
- patch now merged upstream

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed %%{scribusdir} for X86-64.
- Added Patch2.

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes (again)

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Fix url bug found by 'Quel Qun <kelk1@comcast.net>"

* Mon Aug 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2 (before new version freeze)

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Fri May 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6

